List all subscriptions
GET
/api/subscriptions
const url = 'https://api.usegro.co/api/subscriptions?sort_by=created_at&sort_order=asc';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.usegro.co/api/subscriptions?sort_by=created_at&sort_order=asc'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”status
string
holiday_id
string
holiday_moved
boolean
holiday_booked
boolean
failed_payment
boolean
validation
string
profile_id
string
entity_id
string
cancellation_reason_id
string
delivery_method
string
shopify_contract_id
string
search
string
entity_name
string
next_billing_before
string
next_billing_after
string
next_delivery_before
string
next_delivery_after
string
next_production_before
string
next_production_after
string
created_before
string
created_after
string
page
number
limit
number
sort_by
string
sort_order
string
Responses
Section titled “Responses”Media typeapplication/json
object
data
required
Array<object>
object
number
required
string
id
required
string
status
required
string
created_at
string
updated_at
string
is_active
required
boolean
account_id
required
string
total
required
number
can_cancel
required
boolean
currency_code
required
string
profile_id
required
string
paused_at
string
next_billing_date
string
next_delivery_date
string
subtotal
required
number
discount_amount
required
number
shopify_contract_id
number
billing_interval
required
string
billing_interval_count
required
number
last_payment_reminder_sent_at
string
last_payment_reminder_billing_date
string
payment_day_of_week
number
payment_day_of_month
number
next_production_date
string
delivery_slot_valid
required
boolean
cancelled_at
string
cancellation_reason
string
cancellation_reason_id
string
payment_method_brand
string
payment_method_last4
string
current_billing_cycle
required
number
prior_order_count
required
number
last_order
object
id
string
status
string
created_at
string
updated_at
string
account_id
string
total
number
currency_code
string
profile_id
string
shopify_order_id
string
production_date
string
delivery_date
string
fulfillment_status
string
shopify_order_number
number
external_order_id
string
external_order_number
string
external_source
string
is_checkout_order
boolean
tracking_number
string
tracking_company
string
tracking_url
string
subtotal
number
discount_amount
number
billing_date
string
order_created_at
string
profile
One of:
string
object
id
string
timezone
string
address1
string
address2
string
city
string
region
string
country
string
country_code
string
postal_code
string
created_at
string
updated_at
string
full_address
string
external_id
string
email
string
full_name
string
first_name
string
last_name
string
phone_number
string
phone_country
string
sms_consent_source
string
sms_consented_at
string
consent_source
string
consented_at
string
shopify_customer_id
string
shopify_customer_tags
Array<string>
properties
object
subscriptions
One of:
string
Array<object>
object
can_pause
required
boolean
can_resume
required
boolean
can_reactivate
required
boolean
is_in_dunning
required
boolean
can_retry_payment
required
boolean
payment_reminder_status
required
string
frequency_label
required
string
current_dunning_episode
string
entity
profile
One of:
string
object
id
string
timezone
string
address1
string
address2
string
city
string
region
string
country
string
country_code
string
postal_code
string
created_at
string
updated_at
string
full_address
string
external_id
string
email
string
full_name
string
first_name
string
last_name
string
phone_number
string
phone_country
string
sms_consent_source
string
sms_consented_at
string
consent_source
string
consented_at
string
shopify_customer_id
string
shopify_customer_tags
Array<string>
properties
object
entities
One of:
string
Array<object>
object
id
string
name
string
created_at
string
updated_at
string
is_active
boolean
account_id
string
profile_id
string
archived_at
string
image_url
string
wizard_id
string
entity_type
string
attributes
string
meta
required
object
total
Total number of items
number
per_page
Items per page
number
current_page
Current page number
number
last_page
Last page number
number
first_page
First page number
number
first_page_url
URL for first page
string
last_page_url
URL for last page
string
next_page_url
URL for next page
string
previous_page_url
URL for previous page
string
Example
{ "data": [ { "status": "ACTIVE", "last_order": { "status": "PENDING", "fulfillment_status": "UNFULFILLED", "profile": { "email_status": "subscribed", "sms_status": "subscribed", "sms_opt_in_level": "single_opt_in" } }, "payment_reminder_status": "pending", "profile": { "email_status": "subscribed", "sms_status": "subscribed", "sms_opt_in_level": "single_opt_in" } } ]}